import React, { useEffect, useState } from 'react'
import { useLocation } from 'react-router-dom'
import styled from 'styled-components'
// import { getOnceJoblog } from '../services/index'

const LogWrapper = styled.div`
  padding: 30px;
  width: 100%;
  height: 800px;
  background-color: #fff;
  .log {
    background-color: #012b36;
    height: 100%;
    overflow-y: scroll;
    color: #638691;
    padding: 8px 10px;
  }
`

const TaskLogWatcher = () => {
  const { state } = useLocation()
  const [logData, setLogData] = useState(null)

  const fetchOnceJoblog = async () => {
    // const { data } = await getOnceJoblog(state.id)
    // if (data.code === 200) {
    //   setLogData(data.data.handle_msg)
    // }
    setLogData(`2022-08-17 09:28:30,1761 "/opt/conda/envs/py38/lib/python3.8/site-packages/pyhive/hive.py",line 449, INFO:USE default
2022-08-17 09:28:30,1871 "/opt/conda/envs/py38/lib/python3.8/site-packages/pyhive/hive.py",line 449, INFO:USE default
2022-08-17 09:28:30,2161 "/opt/conda/envs/py38/lib/python3.8/site-packages/pyhive/hive.py",line 449, INFO:describe default.my_test_p
2022-08-17 09:28:30,2401 "/opt/conda/envs/py38/lib/python3.8/site-packages/pyhive/hive.py",line 449, INFO:describe default.my_test_p
`)
  }
  useEffect(() => {
    fetchOnceJoblog()
  }, [state])
  return (
    <LogWrapper>
      <pre className="log">{logData}</pre>
    </LogWrapper>
  )
}

export default TaskLogWatcher
